diff --git a/src/gen-util.c b/src/gen-util.c
index cdc5cbbacd..adc15e8039 100644
--- a/src/gen-util.c
+++ b/src/gen-util.c
@@ -551,6 +551,7 @@ void alloc_stairs(struct chunk *c, int feat, int num)
 				if (square_num_walls_adjacent(c, grid) < walls) continue;
 
 				place_stairs(c, grid, feat);
+				assert(square_isstairs(c, grid));
 				done = true;
 			}
 
